Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.context
Class PartialViewContextFactoryImpl

    java.lang.Object
      javax.faces.context.PartialViewContextFactory
          org.richfaces.context.PartialViewContextFactoryImpl

All Implemented Interfaces:
  javax.faces.FacesWrapper<javax.faces.context.PartialViewContextFactory>

    public class PartialViewContextFactoryImpl

extends javax.faces.context.PartialViewContextFactory

Since:
  4.0
Author:
  Nick Belaevski

Constructor Summary
`PartialViewContextFactoryImpl(javax.faces.context.PartialViewContextFactory parentFactory)`

Method Summary
`javax.faces.context.PartialViewContext` | `getPartialViewContext(javax.faces.context.FacesContext context)`
`javax.faces.context.PartialViewContextFactory` | `getWrapped()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PartialViewContextFactoryImpl

    public PartialViewContextFactoryImpl(javax.faces.context.PartialViewContextFactory parentFactory)

Method Detail

### getPartialViewContext

    public javax.faces.context.PartialViewContext getPartialViewContext(javax.faces.context.FacesContext context)

  Specified by:
    `getPartialViewContext` in class `javax.faces.context.PartialViewContextFactory`

### getWrapped

    public javax.faces.context.PartialViewContextFactory getWrapped()

  Specified by:
    `getWrapped` in interface `javax.faces.FacesWrapper<javax.faces.context.PartialViewContextFactory>`
  Overrides:
    `getWrapped` in class `javax.faces.context.PartialViewContextFactory`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 JBoss, a division of Red Hat, Inc.. All Rights Reserved.